For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
SupportLog InSign Up
GuidesAPI Reference
GuidesAPI Reference
  • Tax Rates
    • GETGet Tax Rates (v6.0)
  • Merchant
    • POSTCreate Merchant
    • POSTUpdate Merchant
    • POSTDelete Merchant
    • POSTGet Merchant
    • GETList Merchants
    • POSTSet Merchant Credentials
    • POSTGet Merchant Credentials
    • POSTDelete Merchant Credentials
  • Data
    • GETGet TIC Codes
  • System
    • GETHealth Check
    • GETGet System Metadata
  • Ziptax API
SupportLog InSign Up
Merchant

List Merchants

GET
https://api.ziptax.com/merchant/list
GET
/merchant/list
$curl https://api.ziptax.com/merchant/list \
> -H "X-API-KEY: <apiKey>"
1[
2 {
3 "contact_email": "contact_email",
4 "contact_first": "contact_first",
5 "contact_last": "contact_last",
6 "merchantId": "merchantId",
7 "merchant_name": "merchant_name",
8 "reference_id": "reference_id",
9 "status": "taxcloud_invited"
10 }
11]

Returns every non-deleted merchant owned by the calling account.

Was this page helpful?
Previous

Set Merchant Credentials

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Response

OK
contact_emailstring
Primary contact email
contact_firststring
Primary contact first name
contact_laststring
Primary contact last name
merchantIdstring
UUID of the merchant
merchant_namestring
Merchant business name
reference_idstring
The ID you use in your own system to identify this merchant.
statusenum
Derived lifecycle status
Allowed values:

Errors

401
List Merchants Request Unauthorized Error
500
List Merchants Request Internal Server Error